AOZ Studio Beta - Bug #400

Un-referenced line numbers sometimes cause Gosub to fail.
06/27/2020 03:06 AM - Brian Flanagan

Status: New Start date: 06/27/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: Beta RC2

Description

Example:

#manifest: "pc"
#splashScreen: false
#speed: "safe"

#fps: false

Gosub 20 ' This program freezes (and produces no output) if line 5 exists, but is not referenced.
' If you comment line 5, both Gosubs (20 & 15) work.

Gosub 15

' Gosub 5 ' If you UN-comment this line, and leave line 5 active, then all 3 Gosubs will work.

End

5 Print "Line 5"

Return

15 Print "Line 15"
Return

20 Print "Line 20"
Return

NOTE: It doesn't have to be an un-referenced Gosub... but instead, ANY un-referenced line number.
NOTE ALSO: If the un-referenced line appears AFTER lines 10, 15, and 20, this is NOT a problem.
AND: If the un-referenced line appears before ANY of lines 10, 15, and 20, the program will fail.

HERE IS THE KEY TO SOLVING THE PROBLEM:
If an un-referenced line number appears before a referenced subroutine, the program will fail.
If you add a reference to the un-referenced line, OR you comment the un-referenced line, this will work-around the problem.

An un-referenced line number should be a WARNING only, and should NOT cause the code to fail.

History

#1 - 06/27/2020 04:27 PM - Brian Flanagan
- Affected version changed from 0.9.9.2 to 0.9.9.3

#2 - 09/14/2020 05:50 PM - Brian Flanagan

- Assignee set to Francois Lionet

- Estimated time set to 1:00 h

- Affected version changed from 0.9.9.3 to Beta RC2

One other thing | noticed is that the comments that normally appear before a line in application.js did not appear for the unreferenced line

04/19/2024 1/1



http://www.tcpdf.org

